<?php
/**
 * The default template for displaying post entries.
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Check password protection
$pass_protected = post_password_required(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-boxed clearfix">
		<?php magazinex_post_preview(); ?>
<?php
	$layout = magazinex_external_current_layout();
	global $section;

	if ( $section != 'format' ) { ?>
		<div class="boxed-entry-content">
			<?php if ( $section != 'category' ) { ?>
				<?php get_template_part( 'partials/entry/category' ); ?>
			<?php } ?>
				<?php if( get_theme_mod('hide_blog_author') != true ) { ?>
					<?php magazinex_posted_by(); ?>
				<?php } ?>
				<?php get_template_part( 'partials/entry/title' ); ?>
				<?php get_template_part( 'partials/entry/content' ); ?>
				<?php get_template_part( 'partials/entry/meta' ); ?>
		</div>
<?php
	} ?>
	</div><!-- .post-boxed -->
</article><!-- #post-## -->