<?php
/**
 * @package Magazinex
 */
	get_header();
?>

<div id="primary" class="content-area search-results clearfix" role="main">

		<header class="page-header">
			<h1 class="page-title"><?php esc_attr_e( 'Search results for:', 'magazinex-lite' ); ?><span><?php echo get_search_query(); ?></span></h1>
		</header>
		<!-- .page-header -->
		<div class="page-content">
			<div class="search-list">
<?php
	if( have_posts() ) {
		while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>">
					<p>
					<strong>
					<a href="<?php the_permalink(); ?>" rel="bookmark">
						<?php
							if ( get_the_title() ) {
								the_title('', ': ');
							} else {
								esc_attr_e( 'No Title: ', 'magazinex-lite');
							} ?>
					</a>
					</strong>
						<?php the_excerpt(); ?>
					</p>
				</article><!-- #post-## -->

<?php
		endwhile; ?>

			</div><!-- .search-list -->

		</div>
		<!-- .page-content -->

<?php
	// Include pagination template part
	get_template_part( 'partials/general/pagination' );

	}
	else {
		// Not Found Template.
		get_template_part( 'content', 'none' );
		$no_sidebar = TRUE;
	}
	?>
</div>
<!-- #primary -->
<?php
	if ( ! isset( $no_sidebar ) || $no_sidebar != TRUE ) { get_sidebar(); }
	get_footer();