<?php
/**
 * @package Magazinex
 */
function magazinex_add_customize_settings( $options ) {
	/**
	 *	Options.
	 *--------------------------------------------------------------*/
	# Site Title.
	$post_settings = array(
		  'hide_site_tagline'      => esc_html__( 'Hidden Tagline', 'magazinex-lite' ),
	);
	foreach( $post_settings as $key => $name ) {
		$options[] = array(
			  'slug'        => $key,
			  'opt_type'    => 'checkbox',
			  'name'        => $name,
			  'default'     => '0',
			  'section'     => 'title_tagline',
			  'transport'   => 'refresh',
		);
	}
	
	return $options;
}
add_filter( 'magazinex_settings_input', 'magazinex_add_customize_settings' );