<?php
/**
 * @package Magazinex
 */
?>

		</div><!-- .container #main -->
	</main><!-- #main -->

	<?php if ( get_theme_mod( 'footer_ad' ) ) { ?>
		<div id="footer-adv" class="ad-block container">
			<?php echo wp_kses( get_theme_mod('footer_ad'), 'post' ); ?>
		</div>
	<?php } ?>

	<footer id="colophon" class="site-footer clearfix" role="contentinfo">

<?php
	if ( is_active_sidebar( 'footer' ) ) {
		$sidebars_widgets = wp_get_sidebars_widgets();
		$col = count($sidebars_widgets['footer']);
?>
		<div class="container grid<?php echo $col; ?> clearfix">
			<?php dynamic_sidebar( 'footer' ); ?>
		</div>
	<?php } ?>

		<div class="footer-bottom">
			<?php magazinex_social_menu(); ?>
			<div id="footer-copyright" class="copyright clearfix">

				<?php if( get_theme_mod('disable_date_copy') != true ) { ?>
					<?php echo '&copy; '.date_i18n(__('Y','magazinex-lite')); ?>&nbsp;&middot;&nbsp;
				<?php } ?>

					<?php echo esc_html( get_theme_mod('copyright') ); ?>

				<?php if( get_theme_mod('disable_credits') != true ) { ?>
					<br /><?php do_action( 'magazinex_credits' ); ?>
				<?php } ?>

			</div>
		</div><!-- .footer-bottom -->
	</footer>

</div><!-- #page -->

<a href="#" title="<?php esc_attr_e( 'Top', 'magazinex-lite' ); ?>" class="scroll-top"><span class="fa fa-angle-up"></span></a>

<?php wp_footer(); ?>

</body>
</html>