<?php
/**
 * The featured post content
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>

<?php get_template_part( 'partials/entry/category' ); ?>

	<?php if( get_theme_mod('hide_sticky_date') != true ) { ?>
		<?php magazinex_posted_on(); ?>
	<?php } ?>

	<?php if( get_theme_mod('hide_sticky_author') != true ) { ?>
		<?php magazinex_posted_by(); ?>
	<?php } ?>

<?php get_template_part( 'partials/entry/title' ); ?>

	<?php if( get_theme_mod('featured_post_excerpt') != true ) { ?>
		<?php get_template_part( 'partials/post/content' ); ?>
	<?php } else { ?>
		<div class="entry-content">
			<?php echo wp_trim_words( get_the_content(), 59, '&hellip;<a href="'. get_permalink() .'">'.esc_html__('Read More','magazinex-lite').'</a>' ); ?>
		</div>
	<?php } ?>