<?php
/**
 * Returns the page wide layout components
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-boxed">
		<?php magazinex_post_preview(); ?>
			<div class="boxed-entry-content">


				<?php if( get_theme_mod('hide_frontpage_title') != true ) { ?>
					<header class="entry-header clearfix">
						<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
					</header><!-- .entry-header -->
				<?php } ?>

				<div class="entry-content clearfix">
					<?php
						the_content();
						wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'magazinex-lite' ),
								'after'  => '</div>',
								) ); ?>
				</div><!-- .entry-content -->
		</div>
	<?php if ( has_post_thumbnail() ) { ?>
		<span class="overlay-dark"></span>
	<?php } ?>
	</div><!-- .post-boxed -->
</article><!-- #post-## -->