<?php
/**
 * Single post layout
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Check password protection
$pass_protected = post_password_required(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-boxed clearfix">
		<?php magazinex_post_preview(); ?>
			<div class="boxed-entry-content">
				<?php get_template_part( 'partials/entry/category' ); ?>
				<?php get_template_part( 'partials/post/header' ); ?>
				<?php get_template_part( 'partials/post/meta' ); ?>
				<?php get_template_part( 'partials/post/content' ); ?>
				<?php get_template_part( 'partials/post/footer' ); ?>
			</div>
	</div><!-- .post-boxed -->
</article><!-- #post-## -->

		<?php if ( get_theme_mod('single_post_ad') ) { ?>
			<div id="post-adv" class="ad-block container">
				<?php echo wp_kses( get_theme_mod('single_post_ad'), 'post' ); ?>
			</div>
		<?php } ?>