<?php
/**
 * Outputs the post content
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} ?>

<div class="entry-content">
	<?php
		the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'magazinex-lite' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
		) );

		wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'magazinex-lite' ),
				'after'  => '</div>',
		) ); ?>
</div><!-- .entry-content -->